function panel_navsys_update(KaTZPit_data){

		// Affichage des Frequences Main Stby
		var ARK9_frequence = dataread_split_2(KaTZPit_data["ARK9_F"])
		
		document.getElementById('ARK9-Main').innerHTML = (ARK9_frequence[0]/1000).toFixed(3)
		document.getElementById('ARK9-Stby').innerHTML = (ARK9_frequence[1]/1000).toFixed(3)


		// Switch Main/Stby et TLF/TLG
		if (dataread_posit(KaTZPit_data["ARK9_SW"],1) ==1) {$("#ARK9-SW-MAIN").attr('src','images/Switch-dr.gif')} else {$("#ARK9-SW-MAIN").attr('src','images/Switch-ga.gif')}
		if (dataread_posit(KaTZPit_data["ARK9_SW"],2) ==1) {$("#ARK9-SW-TLF").attr('src','images/Switch-haut.gif')} else {$("#ARK9-SW-TLF").attr('src','images/Switch-bas.gif')}
		

		// Switch Off/Comp/ANT/Loop Translation
		Translate_ArkOff(dataread_posit(KaTZPit_data["ARK9_SW"],3))

		// Tune Main Rotation
		Rotate_TuneMain(dataread_posit(KaTZPit_data["ARK9_SW"],4))
		
		// Tune Stby Rotation
		Rotate_TuneStby(dataread_posit(KaTZPit_data["ARK9_SW"],5))
		
		// Gain et Signal Rotation
		ARK9_signal = dataread_split_2(KaTZPit_data["ARK9_Data"])
		Rotate_ArkGain(ARK9_signal[1])
		Rotate_ArkSignal(ARK9_signal[0])



		// Translation bouton selection
	function Translate_ArkOff(valat){
		var a_origine = 0
		var a_gain = 45

	
		// valat : positif = Translation vers la droite
		$("#ARK9-SW-OFF").css({
		'-moz-transform':'translate('+(a_origine + a_gain * valat)+'px,0px)',
		'-webkit-transform':'translate('+(a_origine + a_gain * valat)+'px,0px)',
		'-ms-transform':'translate('+(a_origine + a_gain * valat)+'px,0px)',
		})
	}


	function Rotate_TuneMain(val){
		var a_origine = 0
		var l_gain = 45


	
		$("#ARK9-Tune-MAIN").css({
			'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
			'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
			'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		})

	}


	function Rotate_TuneStby(val){
		var a_origine = 0
		var l_gain = 45


	
		$("#ARK9-Tune-STBY").css({
			'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
			'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
			'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		})
	}


	function Rotate_ArkGain(val){
		var a_origine = 22.5
		var l_gain = -0.35


	
		$("#ARK9-Gain").css({
			'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
			'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
			'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		})
	}


	function Rotate_ArkSignal(val){
		var a_origine = -45
		var l_gain = 0.09


	
		$("#ARK9-Signal").css({
			'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
			'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
			'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		})
	}
	
}

	function Increment_ARK_Freq(canal,pas,signe){
	
		// Passage des frquence en mode dition (chiffres rouges)
		// On remplace l'affichage #ARK9-Main par #ARK9-temp-Main
		document.getElementById("ARK9-temp-Main").style.display = "block"
		document.getElementById("ARK9-temp-Stby").style.display = "block"
		
		document.getElementById('ARK9-temp-Main').innerHTML = (KaTZPit_data["ARK9_T_Main"]/1000).toFixed(3)
		document.getElementById('ARK9-temp-Stby').innerHTML = (KaTZPit_data["ARK9_T_Stby"]/1000).toFixed(3)

		// Incrmentation des frquences en fonciton du canal, pas et signe
		
		// Main Frequence = canal 1
		if (canal == 0) {
			KaTZPit_data["ARK9_T_Main"] = KaTZPit_data["ARK9_T_Main"] + signe * pas
			if (KaTZPit_data["ARK9_T_Main"] > 1290) {KaTZPit_data["ARK9_T_Main"] = 1290}
			if (KaTZPit_data["ARK9_T_Main"] < 150) {KaTZPit_data["ARK9_T_Main"] = 150}
		}
		
		// Stby Frequence = canal 0
		if (canal == 1) {
			KaTZPit_data["ARK9_T_Stby"] = KaTZPit_data["ARK9_T_Stby"] + signe * pas
			if (KaTZPit_data["ARK9_T_Stby"] > 1290) {KaTZPit_data["ARK9_T_Stby"] = 1290}
			if (KaTZPit_data["ARK9_T_Stby"] < 150) {KaTZPit_data["ARK9_T_Stby"] = 150}
		}

		// mise  jour de l'affichage
		document.getElementById('ARK9-temp-Main').innerHTML = (KaTZPit_data["ARK9_T_Main"]/1000).toFixed(3)
		document.getElementById('ARK9-temp-Stby').innerHTML = (KaTZPit_data["ARK9_T_Stby"]/1000).toFixed(3)
}
	
function Send_ARK_Freq(){

		// Envoi de la frquence temporaire  DCS
		
		var main1 = Math.floor(KaTZPit_data["ARK9_T_Main"] / 100)
		var main0 = (KaTZPit_data["ARK9_T_Main"] % 100 ) / 10
		
		var stby1 = Math.floor(KaTZPit_data["ARK9_T_Stby"] / 100)
		var stby0 = (KaTZPit_data["ARK9_T_Stby"] % 100) / 10
		
		console.log("main = ",main1, " ",main0) 
		console.log("stby = ",stby1, " ",stby0)
		
		
		var cmdm1 = 44000900 + Math.abs(main0)
		var cmdm2 = 74000800 + Math.abs((main1 - 1 )/ 0.2 )
		var cmds1 = 44000600 + Math.abs(stby0)
		var cmds2 = 74000500 + Math.abs((stby1 - 1 )/ 0.2 )
		
		console.log("Commande = ",cmdm1, " ", cmdm2," ",cmds1, " ", cmds2 )
		CmdDCSRaw(cmdm1)
		CmdDCSRaw(cmdm2)
		CmdDCSRaw(cmds1)
		CmdDCSRaw(cmds2)
		
		// On remplace desactive l'affichage #ARK9-temp-Main
		document.getElementById("ARK9-temp-Main").style.display = "none"
		document.getElementById("ARK9-temp-Stby").style.display = "none"
}		



